%define bootstrap 0
%{?_without_bootstrap: %global bootstrap 0}
%{?_with_bootstrap: %global bootstrap 1}

%define applewm_version 1.4.1
%define bigreqs_version 1.1.0
%define composite_version 0.4.1
%define damage_version 1.2.0
%define dmx_version 2.3
%define dri2_version 2.3
%define evieext_version 1.1.0
%define fixes_version 4.1.1
%define fontcache_version 0.1.3
%define fonts_version 2.1.0
%define gl_version 1.4.11
%define input_version 2.0
%define kb_version 1.0.4
%define print_version 1.0.4
%define randr_version 1.3.1
%define record_version 1.14
%define render_version 0.11
%define resource_version 1.1.0
%define scrnsaver_version 1.2.0
%define trap_version 3.4.3
%define video_version 2.3.0
%define vnc_version 1.0.0
%define windowswm_version 1.0.4
%define xcmisc_version 1.2.0
%define xext_version 7.1.1
%define xf86bigfont_version 1.2.0
%define xf86dga_version 2.1
%define xf86dri_version 2.1.0
%define xf86misc_version 0.9.3
%define xf86vidmode_version 2.3
%define xinerama_version 1.2
%define xproto_version 7.0.16
%define xproxymanagement_version 1.0.3
%define xcb_version 1.6

Name: x11-proto-devel
Summary: Xorg X11 protocol specification headers
Version: 7.5
Release: %mkrel 5
Group: Development/X11
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
License: MIT
URL: http://xorg.freedesktop.org
Source0: http://xorg.freedesktop.org/releases/individual/proto/applewmproto-%{applewm_version}.tar.bz2
Source1: http://xorg.freedesktop.org/releases/individual/proto/bigreqsproto-%{bigreqs_version}.tar.bz2
Source2: http://xorg.freedesktop.org/releases/individual/proto/compositeproto-%{composite_version}.tar.bz2
Source3: http://xorg.freedesktop.org/releases/individual/proto/damageproto-%{damage_version}.tar.bz2
Source4: http://xorg.freedesktop.org/releases/individual/proto/dmxproto-%{dmx_version}.tar.bz2
Source5: http://xorg.freedesktop.org/releases/individual/proto/evieext-%{evieext_version}.tar.bz2
Source6: http://xorg.freedesktop.org/releases/individual/proto/fixesproto-%{fixes_version}.tar.bz2
Source7: http://xorg.freedesktop.org/releases/individual/proto/fontcacheproto-%{fontcache_version}.tar.bz2
Source8: http://xorg.freedesktop.org/releases/individual/proto/fontsproto-%{fonts_version}.tar.bz2
Source9: http://xorg.freedesktop.org/releases/individual/proto/glproto-%{gl_version}.tar.bz2
Source10: http://xorg.freedesktop.org/releases/individual/proto/inputproto-%{input_version}.tar.bz2
Source11: http://xorg.freedesktop.org/releases/individual/proto/kbproto-%{kb_version}.tar.bz2
Source12: http://xorg.freedesktop.org/releases/individual/proto/printproto-%{print_version}.tar.bz2
Source13: http://xorg.freedesktop.org/releases/individual/proto/randrproto-%{randr_version}.tar.bz2
Source14: http://xorg.freedesktop.org/releases/individual/proto/recordproto-%{record_version}.tar.bz2
Source15: http://xorg.freedesktop.org/releases/individual/proto/renderproto-%{render_version}.tar.bz2
Source16: http://xorg.freedesktop.org/releases/individual/proto/resourceproto-%{resource_version}.tar.bz2
Source17: http://xorg.freedesktop.org/releases/individual/proto/scrnsaverproto-%{scrnsaver_version}.tar.bz2
Source18: http://xorg.freedesktop.org/releases/individual/proto/trapproto-%{trap_version}.tar.bz2
Source19: http://xorg.freedesktop.org/releases/individual/proto/videoproto-%{video_version}.tar.bz2
Source20: http://xorg.freedesktop.org/releases/individual/proto/windowswmproto-%{windowswm_version}.tar.bz2
Source21: http://xorg.freedesktop.org/releases/individual/proto/xcmiscproto-%{xcmisc_version}.tar.bz2
Source22: http://xorg.freedesktop.org/releases/individual/proto/xextproto-%{xext_version}.tar.bz2
Source23: http://xorg.freedesktop.org/releases/individual/proto/xf86bigfontproto-%{xf86bigfont_version}.tar.bz2
Source24: http://xorg.freedesktop.org/releases/individual/proto/xf86dgaproto-%{xf86dga_version}.tar.bz2
Source25: http://xorg.freedesktop.org/releases/individual/proto/xf86driproto-%{xf86dri_version}.tar.bz2
Source26: http://xorg.freedesktop.org/releases/individual/proto/xf86miscproto-%{xf86misc_version}.tar.bz2
Source27: http://xorg.freedesktop.org/releases/individual/proto/xf86vidmodeproto-%{xf86vidmode_version}.tar.bz2
Source28: http://xorg.freedesktop.org/releases/individual/proto/xineramaproto-%{xinerama_version}.tar.bz2
Source29: http://xorg.freedesktop.org/releases/individual/proto/xproto-%{xproto_version}.tar.bz2
Source30: http://xorg.freedesktop.org/releases/individual/proto/xproxymanagementprotocol-%{xproxymanagement_version}.tar.bz2
Source31: http://xf4vnc.sf.net/vncproto-%{vnc_version}.tar.bz2
Source32: http://xcb.freedesktop.org/dist/xcb-proto-%{xcb_version}.tar.bz2
Source33: http://xorg.freedesktop.org/releases/individual/proto/dri2proto-%{dri2_version}.tar.bz2

BuildRequires: x11-util-macros >= 1.0.1

# (cg) As previously noted by gw, requiring libxt-devel and libxau-devel
# creates a circular dependancy. This can cause problems when building e.g.
# libx11 as it requires itself. When libxcb changed and droped a provided library
# libx11 could not be rebuilt due to this problem.
#
# In order to build libx11 without the circular problem, it is necessary
# to submit a bootstrapping version of this package that contains the minimal
# (manual) pkgconfig() provides as commented below, and disable the 
# BuildRequires on libxt-devel and libxau-devel.
# After libx11 is built and available, this package should be reverted.
%if %bootstrap
Provides: pkgconfig(xproto) pkgconfig(kbproto) pkgconfig(renderproto)
%else
BuildRequires: libxt-devel
BuildRequires: libxau-devel
%endif
BuildRequires: python
%define oldxorgnamedevel  %mklibname xorg-x11
Conflicts: %{oldxorgnamedevel}-devel < 7.0
Conflicts: libxext6-devel <= 1.0.99.3-1mdv2010.0

%description
X.Org X11 Protocol headers

%prep
%setup -q -c x11-proto-devel -b1 -b2 -b3 -b4 -b5 -b6 -b7 -b8 -b9 -b10 -b11 -b12 -b13 -b14 -b15 -b16 -b17 -b18 -b19 -b20 -b21 -b22 -b23 -b24 -b25 -b26 -b27 -b28 -b29 -b30 -b31 -b32 -b33

%build
# vncproto is from cvs
pushd vncproto-*
aclocal
automake -a -c
autoconf
popd

for dir in *; do
pushd $dir
./configure 	--prefix=%{_prefix} \
        	--exec-prefix=%{_prefix} \
        	--bindir=%{_bindir} \
        	--sbindir=%{_sbindir} \
        	--sysconfdir=%{_sysconfdir} \
        	--datadir=%{_datadir} \
        	--includedir=%{_includedir} \
        	--libdir=%{_libdir} \
        	--libexecdir=%{_libexecdir} \
        	--mandir=%{_mandir} \
        	--infodir=%{_infodir} 

%make
popd
done

%install
rm -rf %{buildroot}
for dir in *; do
    if [ -d $dir ]; then
	pushd $dir
	%makeinstall_std
	popd
    fi
done

%clean
rm -rf %{buildroot}

%pre 
if [ -h %{_includedir}/X11 ]; then
	rm -f %{_includedir}/X11
fi

%files
%defattr(-,root,root)
%dir %{_datadir}/xcb
%{_includedir}/GL/glx*
%{_includedir}/GL/internal/*
%{_includedir}/X11/*.h
%{_includedir}/X11/dri/*
%{_includedir}/X11/extensions/*
%{_includedir}/X11/fonts/*
%{_includedir}/X11/PM/*
%{_libdir}/pkgconfig/*.pc
%{_datadir}/xcb/*
# these are doc, but it is not worth creating a doc package to put them in
%{_datadir}/doc/compositeproto/compositeproto.txt
%{_datadir}/doc/damageproto/damageproto.txt
%{_datadir}/doc/fixesproto/fixesproto.txt
%{_datadir}/doc/randrproto/randrproto.txt
%{_datadir}/doc/renderproto/renderproto.txt
%{_datadir}/doc/xproxymanagementprotocol/PM_spec
# xcbgen stuff
%{python_sitelib}/xcbgen/__init__.py
%{python_sitelib}/xcbgen/__init__.pyc
%{python_sitelib}/xcbgen/__init__.pyo
%{python_sitelib}/xcbgen/error.py
%{python_sitelib}/xcbgen/error.pyc
%{python_sitelib}/xcbgen/error.pyo
%{python_sitelib}/xcbgen/expr.py
%{python_sitelib}/xcbgen/expr.pyc
%{python_sitelib}/xcbgen/expr.pyo
%{python_sitelib}/xcbgen/matcher.py
%{python_sitelib}/xcbgen/matcher.pyc
%{python_sitelib}/xcbgen/matcher.pyo
%{python_sitelib}/xcbgen/state.py
%{python_sitelib}/xcbgen/state.pyc
%{python_sitelib}/xcbgen/state.pyo
%{python_sitelib}/xcbgen/xtypes.py
%{python_sitelib}/xcbgen/xtypes.pyc
%{python_sitelib}/xcbgen/xtypes.pyo


%changelog
* Wed Feb 17 2010 Paulo Ricardo Zanoni <pzanoni@mandriva.com> 7.5-5mdv2010.1
+ Revision: 507005
- New dri2proto version: 2.3

* Mon Jan 11 2010 Paulo Ricardo Zanoni <pzanoni@mandriva.com> 7.5-4mdv2010.1
+ Revision: 489817
- New glproto version: 1.4.11
  New dri2proto version: 2.2

* Wed Dec 02 2009 Paulo Ricardo Zanoni <pzanoni@mandriva.com> 7.5-3mdv2010.1
+ Revision: 472610
- Update xcb-proto to 1.6

* Tue Nov 10 2009 Paulo Ricardo Zanoni <pzanoni@mandriva.com> 7.5-2mdv2010.1
+ Revision: 464230
- Update xproxymanagementproto to 1.0.3

* Mon Nov 09 2009 Paulo Ricardo Zanoni <pzanoni@mandriva.com> 7.5-1mdv2010.1
+ Revision: 463625
- Update protos for 7.5 release

* Mon Sep 28 2009 Olivier Blin <oblin@mandriva.com> 7.4-26mdv2010.0
+ Revision: 450583
- add bootstrap flag, was mentionned in the spec but not implemented
  (from Arnaud Patard)

* Tue Sep 01 2009 Thierry Vignaud <tvignaud@mandriva.com> 7.4-25mdv2010.0
+ Revision: 423867
- update applewmproto to 1.4.1
- update bigreqsproto to 1.1.0
- update damageproto to 1.2.0
- update fontsproto to 2.1.0
- update resourceproto to 1.1.0
- update scrnsaverproto to 1.2.0
- update videoproto to 2.3.0
- update xcmiscproto to 1.2.0
- update xf86bigfontproto to 1.2.0
- update xf86driproto to 2.1.0

* Tue Jul 21 2009 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 7.4-24mdv2010.0
+ Revision: 398282
- Revert xextproto 1.0.99.3 update: it is development stuff and breaks
  x11-server 1.6.2 build, shouldn't be pushed without updating
  x11-server to latest devel releases.

* Sun Jul 19 2009 Colin Guthrie <cguthrie@mandriva.org> 7.4-23mdv2010.0
+ Revision: 397495
- Revert back to inputproto 1.5.1 and applewmproto 1.1.1 due to upstream problems.

* Sat Jul 18 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 7.4-22mdv2010.0
+ Revision: 397093
- update applewmproto to 1.3.0
- update inputproto to 1.9.99.14

* Fri Jul 17 2009 Colin Guthrie <cguthrie@mandriva.org> 7.4-21mdv2010.0
+ Revision: 396716
- renderproto 0.11
- xextproto 7.0.99.1

* Tue Jun 30 2009 Ander Conselvan de Oliveira <ander@mandriva.com> 7.4-20mdv2010.0
+ Revision: 391007
- update glproto to 1.4.10

* Fri Jun 19 2009 Ander Conselvan de Oliveira <ander@mandriva.com> 7.4-19mdv2010.0
+ Revision: 387319
- update inputproto to version 1.5.1

* Mon Jun 15 2009 Ander Conselvan de Oliveira <ander@mandriva.com> 7.4-18mdv2010.0
+ Revision: 386191
- update dri2proto to version 2.1

* Tue Jun 02 2009 Ander Conselvan de Oliveira <ander@mandriva.com> 7.4-17mdv2010.0
+ Revision: 382314
- Update xkb-proto to 1.5

* Thu Apr 30 2009 Ander Conselvan de Oliveira <ander@mandriva.com> 7.4-16mdv2010.0
+ Revision: 369177
- Update dri2proto to 2.0

* Fri Mar 06 2009 Ander Conselvan de Oliveira <ander@mandriva.com> 7.4-16mdv2009.1
+ Revision: 349888
- Update randrproto to 1.3.0

* Mon Mar 02 2009 Ander Conselvan de Oliveira <ander@mandriva.com> 7.4-15mdv2009.1
+ Revision: 347508
- Update xproto to 7.0.15 and remove patch applied upstream

* Thu Feb 26 2009 Frederic Crozat <fcrozat@mandriva.com> 7.4-14mdv2009.1
+ Revision: 345207
- Patch0 (upstream): Add XF86XK_Suspend and XF86XK_Hibernate to keysyms

* Wed Feb 25 2009 Colin Guthrie <cguthrie@mandriva.org> 7.4-13mdv2009.1
+ Revision: 344965
- Update to randrproto 1.2.99.4

* Tue Feb 17 2009 Colin Guthrie <cguthrie@mandriva.org> 7.4-12mdv2009.1
+ Revision: 341532
- Update xcb proto to 1.4

* Sat Jan 31 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 7.4-11mdv2009.1
+ Revision: 335720
- update xextproto to 7.0.5 version

* Mon Dec 29 2008 Colin Guthrie <cguthrie@mandriva.org> 7.4-10mdv2009.1
+ Revision: 321040
- Update dri2proto to 1.99.3

* Fri Dec 26 2008 Funda Wang <fwang@mandriva.org> 7.4-9mdv2009.1
+ Revision: 319300
- rebuild for new python

* Thu Dec 18 2008 Colin Guthrie <cguthrie@mandriva.org> 7.4-8mdv2009.1
+ Revision: 315514
- Update xextproto to 7.0.4

* Sat Dec 13 2008 Colin Guthrie <cguthrie@mandriva.org> 7.4-7mdv2009.1
+ Revision: 313923
- Update xcb to 1.3
- Update randr to 1.2.99.3

* Tue Dec 02 2008 Colin Guthrie <cguthrie@mandriva.org> 7.4-6mdv2009.1
+ Revision: 309200
- Update randrproto to 1.2.99.1

* Sat Nov 29 2008 Colin Guthrie <cguthrie@mandriva.org> 7.4-5mdv2009.1
+ Revision: 307978
- Update inputproto to 1.5.0
- Update dri2proto to snapshot for upcoming Mesa compatibility

* Thu Nov 06 2008 Colin Guthrie <cguthrie@mandriva.org> 7.4-4mdv2009.1
+ Revision: 300305
- Renable non-bootstrap version to get full pkgconfig provides

* Thu Nov 06 2008 Colin Guthrie <cguthrie@mandriva.org> 7.4-3mdv2009.1
+ Revision: 300294
- Use the bootstrap provides to allow kicking libx11 into life

* Thu Nov 06 2008 Colin Guthrie <cguthrie@mandriva.org> 7.4-2mdv2009.1
+ Revision: 300282
- Remove BR on libxau-devel as it does not seem to be needed either.
- Update xproto to 7.0.14
- Remove dependency on libxt-devel as it does not seem needed and causes a circular dep for libx11

* Mon Oct 20 2008 Colin Guthrie <cguthrie@mandriva.org> 7.4-1mdv2009.1
+ Revision: 295847
- Change package version to 7.4 to reflect Xorg 7.4 release
- Update applewm to 1.1.1
- Update input to 1.4.4
- Update xext to 7.0.3
- Update xproto to 7.0.13
- Remove input patches merged upstream

* Fri Jul 18 2008 Ander Conselvan de Oliveira <ander@mandriva.com> 7.3-6mdv2009.0
+ Revision: 238249
- Corrects python lib path.
- Add build dependency to python.
- Update xcb-proto to 1.2
  Update randrporo to 1.2.2

* Wed May 28 2008 Paulo Andrade <pcpa@mandriva.com.br> 7.3-5mdv2009.0
+ Revision: 212670
- Closes #41096 (Conflicting declarations between X11 and Qt).

* Mon Apr 14 2008 Paulo Andrade <pcpa@mandriva.com.br> 7.3-4mdv2009.0
+ Revision: 192894
- Remove xf86rushproto. The library itself is long gone,
  no reason to keep headers.
- Minor spec fix so that %%build will not give an error exit code due to
  not checking if shell glob is a directory, before attempting to chdir,
  and run %%makeinstall from it.

  + Colin Guthrie <cguthrie@mandriva.org>
    - Update xproto to 7.0.12
    - Update xf86dri to 2.0.4
    - Update print to 1.0.4
    - Update input to 1.4.3
    - Add dri2 1.1

  + Thierry Vignaud <tvignaud@mandriva.com>
    - fix no-buildroot-tag
    - kill re-definition of %%buildroot on Pixel's request

  + Ademar de Souza Reis Jr <ademar@mandriva.com.br>
    - remove old glproto version from SOURCES

* Wed Nov 07 2007 Ademar de Souza Reis Jr <ademar@mandriva.com.br> 7.3-2mdv2008.1
+ Revision: 106781
- new xcb-proto upstream version: 1.1

  + Tomasz Pawel Gajc <tpg@mandriva.org>
    - update glproto

* Mon Oct 15 2007 Ademar de Souza Reis Jr <ademar@mandriva.com.br> 7.3-1mdv2008.1
+ Revision: 98599
- change version so that it reflects the x.org release, not
  the x-server version (as other distros such as fedora)
- added description

* Tue Oct 09 2007 Thierry Vignaud <tvignaud@mandriva.com> 1.4.0-1mdv2008.1
+ Revision: 96103
- add missing file
- update inputproto, renderproto, xf86dgaproto & xproto

* Wed Jul 04 2007 Colin Guthrie <cguthrie@mandriva.org> 1.3.0-1mdv2008.0
+ Revision: 48008
- Increment version to 1.3.0 to follow xserver version
- Update compositeproto to 0.4.0


* Thu Mar 01 2007 Colin Guthrie <cguthrie@mandriva.org> 1.2.0-11mdv2007.0
+ Revision: 130270
- Update randrproto to 1.2.1

* Tue Feb 27 2007 Gustavo Pichorim Boiko <boiko@mandriva.com> 1.2.0-10mdv2007.1
+ Revision: 126342
- adding RandR proto for the version 1.2 of the extension.
- adding the XCB proto (http://xcb.freedesktop.org)

* Sun Feb 18 2007 Götz Waschk <waschk@mandriva.org> 1.2.0-9mdv2007.1
+ Revision: 122425
- finally fix buildrequires and enable all pkgconfig provides

* Sun Feb 18 2007 Götz Waschk <waschk@mandriva.org> 1.2.0-8mdv2007.1
+ Revision: 122383
- add more provides before enabling the right buildrequires

* Sun Feb 18 2007 Götz Waschk <waschk@mandriva.org> 1.2.0-7mdv2007.1
+ Revision: 122370
- temporarily add pkgconfig(xproto) by and as a provide

* Sun Feb 18 2007 Götz Waschk <waschk@mandriva.org> 1.2.0-6mdv2007.1
+ Revision: 122369
- add buildrequires on pkgconfig to work around the fucked up build system that doesn't install the latest rpm-mandriva-setup-build

* Sun Feb 18 2007 Colin Guthrie <cguthrie@mandriva.org> 1.2.0-5mdv2007.1
+ Revision: 122352
- Update to inputproto-1.4.1 (fixes bug in DevicePresence())

* Sun Feb 18 2007 Anssi Hannula <anssi@mandriva.org> 1.2.0-4mdv2007.1
+ Revision: 122344
- rebuild to really fix pkgconfig deps

* Sun Feb 18 2007 Götz Waschk <waschk@mandriva.org> 1.2.0-3mdv2007.1
+ Revision: 122278
- rebuild for pkgconfig deps

* Tue Feb 06 2007 Gustavo Pichorim Boiko <boiko@mandriva.com> 1.2.0-2mdv2007.1
+ Revision: 116839
- updated xproto to 7.0.10

* Mon Feb 05 2007 Gustavo Pichorim Boiko <boiko@mandriva.com> 1.2.0-1mdv2007.1
+ Revision: 116414
- add missing file from new damageproto
- really add the damageproto tarball
- new damageproto version: 1.1.0
- bump package version to 1.2.0 to follow xserver version

* Tue Jan 09 2007 Colin Guthrie <cguthrie@mandriva.org> 1.0.3-4mdv2007.1
+ Revision: 106813
- Update glproto to 1.4.8 as required by Mesa 6.5.2 and Xorg Xserver 1.1.99.903

* Tue Nov 21 2006 Thierry Vignaud <tvignaud@mandriva.com> 1.0.3-3mdv2007.1
+ Revision: 85911
- update input and x proto
- sort

  + Christiaan Welvaart <cjw@daneel.dyndns.org>
    - added vnc proto for Xvnc
    - protocol headers for VNC

* Thu Aug 03 2006 Gustavo Pichorim Boiko <boiko@mandriva.com> 1.0.3-1mdv2007.0
+ Revision: 42998
- new upstream kbproto version (1.0.3):
  * Always define XkbSA_XFree86Private, not only when XFree86Server is defined
- new upstream xproto version:
  * Add Braille keysyms (7.0.6)
  * Add dead_stroke keysym (7.0.7)
- rebuild to fix cooker uploading
- X11R7.1
- increment release
- rollback the glproto version as the compilation fails using the latest
  version
- Adding X.org 7.0 to the repository

  + Laurent Montel <lmontel@mandriva.com>
    - This rpm must be arch'ed (pkg-config files must be installed into /usr/libxx/pkg-config)
      => fix compile error on x86_64
    - Fix conflict on x86_64

  + Andreas Hasenack <andreas@mandriva.com>
    - renamed mdv to packages because mdv is too generic and it's hosting only packages anyway

